package com.example.livingai.domain.ml

import android.graphics.Bitmap
import android.graphics.RectF

interface ObjectDetector {
    var onResults: (List<DetectionResult>, Long) -> Unit
    var onError: (String) -> Unit
    fun detect(bitmap: Bitmap, imageRotation: Int)

    data class DetectionResult(val boundingBox: RectF, val text: String, val score: Float)
}
